unit TntVNewReg;

interface

procedure Register;

implementation

uses
  Classes, DesignIntf,
  TntBBFont, TntDbNavNew0, TntDBRText, TntEdiTAmp, TntJvSpinR,
  TntPBJustOne, TntRfEdit, TntRZNEdit, TntRZNEdit2,
  TntButtonWithColor, TntDirMon, TntIACheckControlJ,  
  TntVer, TntNewAbout;

type
  TAboutDBN = class(TAboutH2)
  protected
    function AuthorMess: string; override;
  end;

  TAboutJO = class(TAboutH2)
  protected
    function AuthorMess: string; override;
  end;

  TAboutIA = class(TAboutH2)
  protected
    function AuthorMess: string; override;
  end;

  TAboutBBWC = class(TAboutH2)
  protected
    function AuthorMess: string; override;
  end;

  TAboutDM = class(TAboutH2)
  protected
    function AuthorMess: string; override;
  end;

  TAboutRZN = class(TAboutH3)
  protected
    function AuthorMess: string; override;
  end;

{--------------------------------------}
{-PROTECTED--------}

function TAboutDBN.AuthorMess: string;
begin
  Result := 'Maggie Owens''s moDBNav';
end;

{--------------------------------------}
{-PROTECTED--------}

function TAboutJO.AuthorMess: string;
begin
  Result := 'Patrick Brisacier''s JustOne';
end;

{--------------------------------------}
{-PROTECTED--------}

function TAboutIA.AuthorMess: string;
begin
  Result := 'Igor Andronov''s IACheckControl';
end;

{--------------------------------------}
{-PROTECTED--------}

function TAboutDM.AuthorMess: string;
begin
  Result := 'Damien Thouvenin''s DirMon';
end;

{--------------------------------------}
{-PROTECTED--------}

function TAboutBBWC.AuthorMess: string;
begin
  Result := 'UtilMind Solutions''s ButtonWithColor';
end;

{--------------------------------------}
{-PROTECTED--------}

function TAboutRZN.AuthorMess: string;
begin
  Result := 'Robert Kratz''s RZNEdit';
end;

{--------------------------------------}

procedure Register;
procedure RegJMN (CC: TClass);
begin
  RegisterPropertyEditor(TypeInfo(TAboutInfo), CC, 'About', TAboutH0);
end;
procedure RegDBN (CC: TClass);
begin
  RegisterPropertyEditor(TypeInfo(TAboutInfo), CC, 'About', TAboutDBN);
end;
procedure RegRZN (CC: TClass);
begin
  RegisterPropertyEditor(TypeInfo(TAboutInfo), CC, 'About', TAboutRZN);
end;
const
  TntAdditionalEdits = 'Tnt JMN Edits';
  TntAdditionalOther = 'Tnt JMN Others';
begin
  //TntBBFont
  RegisterComponents(TntAdditionalOther,
   [TTntBBFont]);
  //TntDbNavNew0
  RegisterComponents(TntAdditionalOther,
   [TTntmoDBNav0,
    TTntmoDBNavRow0,
    TTntmoDBInsert,
    TTntDBGridRow]);
  RegisterComponents(TntAdditionalOther,
  [TTntDBRText]);
  //TntEdiTAmp
  RegisterComponents(TntAdditionalOther,
   [TTntDBRadioGroupR,
    TTntRadioGroupR]);
  RegisterComponents(TntAdditionalEdits,
   [TTntDBEditR,
    TTntDBEditTxt,
    TTntDBEditName,
    TTntEditR,
    TTntEditOnlyFileName,
    TTntEditTxt,
    TTntEditName,
    TTntComboBoxR,
    TTntComboBoxRWLI]);
  //TntJvSpinR
  RegisterComponents(TntAdditionalEdits,
  [TTntJvSpinEditR]);
  //TntPBJustOne
  RegisterComponents(TntAdditionalOther,
   [TTntPBJustOne]);
  //TntRfEdit
  RegisterComponents(TntAdditionalEdits,
    [TTntRFilterEdit]);
  //TntRZN
  RegisterComponents(TntAdditionalEdits,
   [TTntEditVReal,
    TTntEditVInteger,
    TTntEditVCardinal,
    TTntEditReal,
    TTntEditInteger,
    TTntEditCardinal]);
  RegisterComponents(TntAdditionalOther, [
    TTntCheckBoxMLines,
    TTntRadioButtonMLines,
    TTntBitBtnWithColor,
    TTntDirMon
    ]);

  RegJMN (TTntBBFont);
  RegDBN (TTntmoDBNav0);
  RegDBN (TTntmoDBNavRow0);
  RegDBN (TTntmoDBInsert);
  RegDBN (TTntDBGridRow);
  RegJMN (TTntDBRText);
  RegJMN (TTntDBRadioGroupR);
  RegJMN (TTntRadioGroupR);
  RegJMN (TTntDBEditR);
  RegJMN (TTntDBEditTxt);
  RegJMN (TTntDBEditName);
  RegJMN (TTntEditR);
  RegJMN (TTntEditOnlyFileName);
  RegJMN (TTntEditTxt);
  RegJMN (TTntComboBoxR);
  RegJMN (TTntComboBoxRWLI);
  RegisterPropertyEditor(TypeInfo(TAboutInfo), TTntJvSpinEditR, 'About', TAboutH1);
  RegisterPropertyEditor(TypeInfo(TAboutInfo), TTntPBJustOne, 'About', TAboutJO);
  RegJMN (TTntRFilterEdit);
  RegRZN (TTntEditVReal);
  RegRZN (TTntEditVInteger);
  RegRZN (TTntEditVCardinal);
  RegRZN (TTntEditReal);
  RegRZN (TTntEditInteger);
  RegRZN (TTntEditCardinal);
  RegisterPropertyEditor(TypeInfo(TAboutInfo), TTntCheckBoxMLines, 'About', TAboutIA);
  RegisterPropertyEditor(TypeInfo(TAboutInfo), TTntRadioButtonMLines, 'About', TAboutIA);
  RegisterPropertyEditor(TypeInfo(TAboutInfo), TTntBitBtnWithColor, 'About', TAboutBBWC);
  RegisterPropertyEditor(TypeInfo(TAboutInfo), TTntDirMon, 'About', TAboutDM);
end {Register};

end.
