unit TntDirMonDemoU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, TntForms,
  TntDialogs, TntDirMon, StdCtrls, TntStdCtrls, ExtCtrls, TntExtCtrls;

type
  TFDirMonitoringDemo = class(TTntForm)
    TntDirMon1: TTntDirMon;
    TntMemo: TTntMemo;
    P_Top: TTntPanel;
    L_Explanation: TTntLabel;
    procedure FormCreate(Sender: TObject);
    procedure TntDirMon1Deleted(Sender: TObject;
      const FileName: WideString);
    procedure TntDirMon1Modified(Sender: TObject;
      const FileName: WideString);
    procedure TntDirMon1Created(Sender: TObject;
      const FileName: WideString);
    procedure FormDestroy(Sender: TObject);
    procedure TntDirMon1Renamed(Sender: TObject; const fromFileName,
      toFileName: WideString);
  end;

var
  FDirMonitoringDemo: TFDirMonitoringDemo;

implementation

{$R *.dfm}

uses
  TntSysUtils;

procedure TFDirMonitoringDemo.FormCreate(Sender: TObject);
begin
  TntDirMon1.Path := WideExtractFilePath (WideExpandFileName(ParamStr(0)));
  TntDirMon1.Active := True;
  Constraints.MinHeight := 200;
  Constraints.MinWidth := 300;
end {FormCreate};

procedure TFDirMonitoringDemo.FormDestroy(Sender: TObject);
begin
  TntDirMon1.Active := False;
end;

procedure TFDirMonitoringDemo.TntDirMon1Created(Sender: TObject;
  const FileName: WideString);
begin
  TntMemo.Lines.Add ('Created: ' + FileName);
end;

procedure TFDirMonitoringDemo.TntDirMon1Deleted(Sender: TObject;
  const FileName: WideString);
begin
  TntMemo.Lines.Add ('Deleted: ' + FileName);
end;

procedure TFDirMonitoringDemo.TntDirMon1Modified(Sender: TObject;
  const FileName: WideString);
begin
  TntMemo.Lines.Add ('Modified: ' + FileName);
end;

procedure TFDirMonitoringDemo.TntDirMon1Renamed(Sender: TObject; const fromFileName,
  toFileName: WideString);
begin
  TntMemo.Lines.Add ('Renamed from ' + fromFileName + ' to ' + toFileName);
end;

end.
