{---------------------------------------------------------------------

 (c) Copyleft or copyright under terms of GNU General Public License
 2003  Jordi March i Nogu   jmarch@comg.es

----------------------------------------------------------------------}

unit TntInstU;

interface

uses
  TntInst0;

type
  TTntInstApp = class (TTntInstApp0)
  protected
    procedure WhenMkLnkIncorrectExt; override;
    procedure WhenMkLnkNotCreated (const PgmPath, LinkPath: WideString); override;
    procedure WhenPgmToLinkToNotExists (const PgmToLinkTo: WideString); override;
  end;

implementation

uses
  SysUtils,
  TntSysUtils,
  TntMessUsual;

{--------------------------------------}
{-PROTECTED--------}

procedure TTntInstApp.WhenMkLnkIncorrectExt;
begin
  WideMessageBoxError (RS_TntInst0_ErrorLinkPathExtensionMustBeLNK);
end;

procedure TTntInstApp.WhenMkLnkNotCreated (const PgmPath, LinkPath: WideString);
begin
  WideMessageBoxError (WideFormat (RS_TntInst0_LinkNotCreated, [
    LinkPath,
    WideExtractFileName (PgmPath),
    WideExtractFilePath (PgmPath)]));
end {ShowErrorWhenMkLnk};

procedure TTntInstApp.WhenPgmToLinkToNotExists (const PgmToLinkTo: WideString);
begin
  WideMessageBoxError (RS_TntInst0_ErrorProgramNotFound + PgmToLinkTo);
end;

{--------------------------------------}

end.
