unit TntBBWColorDemoU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, TntForms,
  Dialogs, StdCtrls, ButtonWithColor, Spin, TntStdCtrls, TntJvExStdCtrls,
  TntButtonWithColor;

type
  TFTntBBWColorDemo = class(TTntForm)
    TntBitBtnWithColor1: TTntBitBtnWithColor;
    ColorDialog1: TColorDialog;
    L_ColR: TTntLabel;
    L_ColG: TTntLabel;
    L_ColB: TTntLabel;
    SE_Red: TSpinEdit;
    SE_Green: TSpinEdit;
    SE_Blue: TSpinEdit;
    procedure TntBitBtnWithColor1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SE_RGBChange(Sender: TObject);
  private
    procedure ShowColors;
  end;

var
  FTntBBWColorDemo: TFTntBBWColorDemo;

implementation

{$R *.dfm}

{--------------------------------------}
{-EVENTS-----------}

procedure TFTntBBWColorDemo.TntBitBtnWithColor1Click(Sender: TObject);
begin
  with ColorDialog1 do  begin
    Color := TntBitBtnWithColor1.Color;
    if Execute then  begin
      TntBitBtnWithColor1.Color := Color;
      ShowColors;
    end;
  end;
end;

procedure TFTntBBWColorDemo.FormCreate(Sender: TObject);
begin
  ShowColors;
end;

procedure TFTntBBWColorDemo.SE_RGBChange(Sender: TObject);
begin
  TntBitBtnWithColor1.Color := RGB (SE_Red.Value, SE_Green.Value, SE_Blue.Value);
end;

{-PRIVATE----------}

procedure TFTntBBWColorDemo.ShowColors;
procedure SetColor (SE: TSpinEdit;  Color: Byte);
begin
  SE.OnChange := nil;
  SE.Value := Color;
  SE.OnChange := SE_RGBChange;
end;
begin
  with TntBitBtnWithColor1 do  begin
    SetColor (SE_Red, GetRValue(Color));
    SetColor (SE_Green, GetGValue(Color));
    SetColor (SE_Blue, GetBValue(Color));
  end;
end {ShowColors};

{--------------------------------------}

end.
