unit TntCtrlPSDemoU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TntForms, TntCtrlPS, StdCtrls, TntStdCtrls;

type
  TFCtrlPSDemo = class(TTntForm)
    B_OpenFGrid: TTntButton;
    L_Explanation: TTntLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure B_OpenFGridClick(Sender: TObject);
  private
    PosSizeTntGridW: TPosSizeTntGridW;
  end;

var
  FCtrlPSDemo: TFCtrlPSDemo;

implementation

{$R *.dfm}

uses
  TntDBNavNewDemoU;

procedure TFCtrlPSDemo.B_OpenFGridClick(Sender: TObject);
begin
  FTntDBNavNewU := TFTntDBNavNewU.Create (Application);
  PosSizeTntGridW.Control := FTntDBNavNewU;
  with FTntDBNavNewU do  begin
    PosSizeTntGridW.DBGrid := DBGrid1;
    PosSizeTntGridW.SetPosSize;
    ShowModal;
    PosSizeTntGridW.GetPosSize;
    Free;
  end;
end {B_OpenFGridClick};

procedure TFCtrlPSDemo.FormCreate(Sender: TObject);
begin
  PosSizeTntGridW := TPosSizeTntGridW.Create;
end;

procedure TFCtrlPSDemo.FormDestroy(Sender: TObject);
begin
  PosSizeTntGridW.Free;
end;

end.
