unit TntDBNavNewDemoU;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, TntControls, 
  Forms, TntForms, Dialogs, ExtCtrls, TntExtCtrls, Grids, DBGrids, TntDBGrids, 
  StdCtrls, TntStdCtrls, DBTables, Db, TntDbNavNew0, DBCtrls, TntDBCtrls,
  TntDBRText;

type
  TFTntDBNavNewU = class(TTntForm)
    CB_Filtered: TTntCheckBox;
    CB_SetFilter: TTntCheckBox;
    DBGrid1: TTntDBGrid;
    DBR_Population: TTntDBRText;
    DSSource: TDataSource;
    L_Population: TTntLabel;
    moDBNav1: TTntmoDBNav0;
    P_Top: TTntPanel;
    QueryS: TQuery;
    RG_Presentation: TTntRadioGroup;
    TSource: TTable;
    procedure CB_FilteredClick(Sender: TObject);
    procedure CB_SetFilterClick(Sender: TObject);
    procedure RG_PresentationClick(Sender: TObject);
    procedure TSourceAfterPost(DataSet: TDataSet);
    procedure TntFormCreate(Sender: TObject);
  end;

var
  FTntDBNavNewU: TFTntDBNavNewU;

implementation

{$R *.DFM}

{--------------------------------------}

const
  Filter = 'Continent = ''South America''';

procedure TFTntDBNavNewU.CB_FilteredClick(Sender: TObject);
begin
  if CB_Filtered.Checked then  begin
    DSSource.DataSet.Filtered := True;
  end
  else  begin
    DSSource.DataSet.Filtered := False;
  end;
end;

procedure TFTntDBNavNewU.CB_SetFilterClick(Sender: TObject);
begin
  if CB_SetFilter.Checked then  begin
    DSSource.DataSet.Filter := Filter;
  end
  else  begin
    DSSource.DataSet.Filter := '';
  end;
end;

procedure TFTntDBNavNewU.TntFormCreate(Sender: TObject);
begin
  Constraints.MinHeight := Height;
  Constraints.MinWidth := Width;
end;

procedure TFTntDBNavNewU.RG_PresentationClick(Sender: TObject);
procedure SetPrevious (DSNew, DSLast: TDataSet);
begin
  DSNew.Filter := DSLast.Filter;
  DSNew.Filtered := DSLast.Filtered
end;
begin
  with DSSource do  begin
    case RG_Presentation.ItemIndex of
      0: if  Dataset <> TSource  then  begin
           QueryS.Close;
           SetPrevious (TSource, QueryS);
           Dataset := TSource;
         end;
      1: if  Dataset <> QueryS  then  begin
           SetPrevious (QueryS, TSource);
           QueryS.Active := True;
           Dataset := QueryS;
         end;
    end;
    moDBNav1.ClearBookmarks;
  end;
end;

procedure TFTntDBNavNewU.TSourceAfterPost(DataSet: TDataSet);
begin
  moDBNav1.SetLastRecModi;
end;

{--------------------------------------}

end.
