unit TntEdiTAmpDemoU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, TntForms,
  Dialogs, StdCtrls, Mask, JvExMask, JvToolEdit, ComCtrls, DBCtrls, EdiTAmp,
  ExtCtrls, TntButtons, Buttons, TntStdCtrls, TntJvToolEdit, TntJvExMask,
  TntEdiTAmp, TntStdCtrls2, TntExtCtrls;

type
  TFTntEdiTAmpDemo = class(TTntForm)
    TntRadioGroupR: TTntRadioGroupR;
    B_TntRadioGroupR_Check: TTntButton;
    TntEditR: TTntEditR;
    B_TntEditR_Check: TTntButton;
    L_TntEditR: TTntLabel;
    TntComboBoxR: TTntComboBoxR;
    B_TntComboBoxR_Check: TTntButton;
    L_TntComboBoxR: TTntLabel;
    TntComboBoxRWLI: TTntComboBoxRWLI;
    B_TntComboBoxRWLI_Check: TTntButton;
    L_TntComboBoxRWLI: TTntLabel;
    TntEditOnlyFileName: TTntEditOnlyFileName;
    B_TntEditOnlyFileName_Check: TTntButton;
    L_TntEditOnlyFileName: TTntLabel;
    GB_Text: TTntGroupBox;
    L_TntEditTxt: TTntLabel;
    TntEditTxt: TTntEditTxt;
    B_TntEditTxt_Check: TTntButton;
    L_TntEditName: TTntLabel;
    TntEditName: TTntEditName;
    B_TntEditName_Check: TTntButton;
    RG_CaseMode: TTntRadioGroup;
    GB_IndirectValidation: TTntGroupBox;
    TntEdit: TTntEdit;
    L_Edit: TTntLabel;
    B_Edit_Check: TTntButton;
    L_TntJvFilenameEdit: TTntLabel;
    TntJvFilenameEdit: TTntJvFilenameEdit;
    B_TntJvFilenameEdit_Check: TTntButton;
    L_TntJvDirectoryEdit: TTntLabel;
    TntJvDirectoryEdit: TTntJvDirectoryEdit;
    B_TntJvDirectoryEdit_Check: TTntButton;
    TntJvDateEdit: TTntJvDateEdit;
    L_TntJvDateEdit: TTntLabel;
    B_TntJvDateEdit_Check: TTntButton;
    BB_OK: TTntBitBtn;
    BB_Close: TTntBitBtn;
    CB_NoModifier: TTntCheckBox;
    procedure B_TntRadioGroupR_CheckClick(Sender: TObject);
    procedure B_TntEditR_CheckClick(Sender: TObject);
    procedure B_TntComboBoxR_CheckClick(Sender: TObject);
    procedure B_TntComboBoxRWLI_CheckClick(Sender: TObject);
    procedure TntComboBoxRWLIExit(Sender: TObject);
    procedure B_TntEditOnlyFileName_CheckClick(Sender: TObject);  
    procedure B_TntEditTxt_CheckClick(Sender: TObject);
    procedure B_TntEditName_CheckClick(Sender: TObject);
    procedure RG_CaseModeClick(Sender: TObject);
    procedure B_Edit_CheckClick(Sender: TObject);
    procedure B_TntJvFilenameEdit_CheckClick(Sender: TObject);
    procedure B_TntJvDirectoryEdit_CheckClick(Sender: TObject);
    procedure B_TntJvDateEdit_CheckClick(Sender: TObject);
    procedure BB_OKClick(Sender: TObject);
    procedure CB_NoModifierClick(Sender: TObject);
  private
    procedure ShowMess (B: Boolean);  
  end;

var
  FTntEdiTAmpDemo: TFTntEdiTAmpDemo;

implementation

{$R *.dfm}

{--------------------------------------}
{-EVENTS-----------}

procedure TFTntEdiTAmpDemo.B_TntRadioGroupR_CheckClick(Sender: TObject);
begin
  ShowMess (TntRadioGroupR.Valid);
end;

procedure TFTntEdiTAmpDemo.B_TntEditR_CheckClick(Sender: TObject);
begin
  ShowMess (TntEditR.Valid);
end;

procedure TFTntEdiTAmpDemo.B_TntComboBoxR_CheckClick(Sender: TObject);
begin
  ShowMess (TntComboBoxR.Valid);
end;

procedure TFTntEdiTAmpDemo.B_TntComboBoxRWLI_CheckClick(Sender: TObject);
begin
  ShowMess (TntComboBoxRWLI.Valid);
end;

procedure TFTntEdiTAmpDemo.TntComboBoxRWLIExit(Sender: TObject);
begin
  TntComboBoxRWLI.AddLastInput;
end;

procedure TFTntEdiTAmpDemo.B_TntEditOnlyFileName_CheckClick(Sender: TObject);
begin
  ShowMess (TntEditOnlyFileName.Valid);
end;

procedure TFTntEdiTAmpDemo.B_TntEditTxt_CheckClick(Sender: TObject);
begin
  ShowMess (TntEditTxt.Valid);
end;

procedure TFTntEdiTAmpDemo.B_TntEditName_CheckClick(Sender: TObject);
begin
  ShowMess (TntEditName.Valid);
end;

procedure TFTntEdiTAmpDemo.RG_CaseModeClick(Sender: TObject);
begin
  TntEditTxt.CaseMode := TCaseMode (RG_CaseMode.ItemIndex);
  TntEditName.CaseMode := TCaseMode (RG_CaseMode.ItemIndex);
end;

procedure TFTntEdiTAmpDemo.CB_NoModifierClick(Sender: TObject);
begin
  TntEditTxt.CharsWithoutModifiers := CB_NoModifier.Checked;
  TntEditName.CharsWithoutModifiers := CB_NoModifier.Checked;
end;

procedure TFTntEdiTAmpDemo.B_Edit_CheckClick(Sender: TObject);
begin
  ShowMess (TntEditValid (TntEdit));
end;

procedure TFTntEdiTAmpDemo.B_TntJvFilenameEdit_CheckClick(Sender: TObject);
begin
  ShowMess (TntFileEditValid (TntJvFilenameEdit));
end;

procedure TFTntEdiTAmpDemo.B_TntJvDirectoryEdit_CheckClick(Sender: TObject);
begin
  ShowMess (TntDirEditValid (TntJvDirectoryEdit));
end;

procedure TFTntEdiTAmpDemo.B_TntJvDateEdit_CheckClick(Sender: TObject);
begin
  ShowMess (TntDateEditValid (TntJvDateEdit));
end;

procedure TFTntEdiTAmpDemo.BB_OKClick (Sender: TObject);
begin
  if
    not TntRadioGroupR.Valid or
    not TntEditR.ValidL (L_TntEditR) or
    not TntComboBoxR.ValidL (L_TntComboBoxR) or
    not TntComboBoxRWLI.ValidL (L_TntComboBoxRWLI) or
    not TntEditOnlyFileName.ValidL (L_TntEditOnlyFileName) or
    not TntEditTxt.ValidL (L_TntEditTxt) or
    //not TntEditName.ValidL (L_TntEditName) or
    not TntEditValidL (L_Edit, TntEdit) or
    not TntFileEditValidL (L_TntJvFilenameEdit, TntJvFilenameEdit) or
    not TntDirEditValidL (L_TntJvDirectoryEdit, TntJvDirectoryEdit) or
    not TntDateEditValidL (L_TntJvDateEdit, TntJvDateEdit)
  then  ModalResult := mrNone;
end {BB_OKClick};

{-PRIVATE----------}

procedure TFTntEdiTAmpDemo.ShowMess(B: Boolean);
begin
  if B
  then  ShowMessage ('OK');
end;

{--------------------------------------}

end.
