unit TntELogDemoU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, TntForms, Dialogs, TntDialogs,
  StdCtrls, TntStdCtrls, Buttons, TntButtons, Db, DBTables;

type
  TFELogDemo = class(TTntForm)
    B_ErrorThisMessage: TTntButton;
    B_MakeCriticalError: TTntButton;
    B_MakeCustomError: TTntButton;
    B_MakeError: TTntButton;
    B_ShowLogFile: TTntButton;
    E_ErrorMess: TTntEdit;
    GB_CustomizedErrors: TTntGroupBox;
    L_Explain: TTntLabel;
    Table1: TTable;
    procedure B_MakeCriticalErrorClick(Sender: TObject);
    procedure B_MakeCustomErrorClick(Sender: TObject);
    procedure B_MakeErrorClick(Sender: TObject);
    procedure B_ErrorThisMessageClick(Sender: TObject);
    procedure B_ShowLogFileClick(Sender: TObject);
  private
    procedure PresError (Sender: TObject;  E: Exception);
  end;

var
  FELogDemo: TFELogDemo;

implementation

{$R *.DFM}

uses
  TntELog;

{--------------------------------------}
{-EVENTS-----------}

procedure TFELogDemo.B_MakeCriticalErrorClick(Sender: TObject);
begin
  Log.CriticalError := True;
  Table1.Open;
  WideShowMessage ('Message'); {This line is'nt shown}
end;

procedure TFELogDemo.B_ErrorThisMessageClick(Sender: TObject);
begin
  Log.WriteErrorToFile (E_ErrorMess.Text);
end;

procedure TFELogDemo.B_MakeCustomErrorClick(Sender: TObject);
begin
  try
    Table1.Open;
  except
    on E: Exception do PresError (Sender, E);
  end;
  WideShowMessage ('Message');
end;

procedure TFELogDemo.B_MakeErrorClick(Sender: TObject);
begin
  Table1.Open;
  WideShowMessage ('Message'); {This line is'nt shown}
end;

procedure TFELogDemo.B_ShowLogFileClick(Sender: TObject);
begin
  Log.ShowLogFile;
end;

{-PRIVATE----------}

procedure TFELogDemo.PresError (Sender: TObject;  E: Exception);
begin
  Log.ExceptionHandler (Sender, E);
end;

{--------------------------------------}

end.
