{---------------------------------------------------------------------

 (c) Copyleft or copyright under terms of GNU General Public License
 2003-2006  Jordi March i Nogu   jmarch@comg.es
 03/01/2006 version

----------------------------------------------------------------------}

unit TntLnkIni;

interface

uses
  TntSysUtils, TntMabSave, GrTypFun;

resourcestring
  RS_ProgramInitialized = 'This file indicates that the program has already begun at some time';

type
  TIniLSLnk = class(TTntHlpIniFLoadSave)
  private
    FMkLink: Boolean;
  protected
    procedure LoadSpecified; override;
    procedure SaveOptionsDef; virtual;
    procedure SaveSpecified; override;
    function MkLnkFile: WideString;
  public
    property MkLink: Boolean read FMkLink;
  end;

var
  IniLSMed: TIniLSLnk;

implementation

{--------------------------------------}
{-PROTECTED--------}

procedure TIniLSLnk.LoadSpecified;
begin
  FMkLink := not WideFileExists (MkLnkFile);
end;

function TIniLSLnk.MkLnkFile: WideString;
begin
  Result := Concat (ApplicationPath, ApplicationName, 'MkLnk.txt');
end;

procedure TIniLSLnk.SaveSpecified;
var
  F: TextFile;
begin
  if  not WideFileExists (MkLnkFile)  then  begin
    AssignFile (F, MkLnkFile);
    Rewrite (F);
    WriteLn (F, RS_ProgramInitialized);
    CloseFile (F);
  end;
  SaveOptionsDef;
end {SaveSpecified};

procedure TIniLSLnk.SaveOptionsDef;
begin
end;

{--------------------------------------}

end.
